Subject: Re: [clue] pre-WGLC comments on data model

From: "Duckworth, Mark" <[email-masked]>
Date: Fri, 3 Oct 2014 07:10:41 -0700

Hi Roberta,
Thanks for the response to my comments.
I have just a couple more comments below, I cut out the rest.
Mark

From: Roberta Presta [mailto:[email-masked]]
Sent: Monday, September 29, 2014 1:27 PM
To: Duckworth, Mark; [email-masked]
Cc: Simon Pietro Romano
Subject: Re: [clue] pre-WGLC comments on data model

"pointType" - I think we should avoid using numeric types that don't have a range limit.  How about using "xs:int" instead of "xs:decimal"?  I was assuming we do not need to represent fractional millimeters here, I was always assuming an int type.  If people think we need to represent fractions, then should we use xs:float instead of xs:decimal?
[RP] No problem with changing the type. We prefer xs:float instead of xs:decimal.

[Duckworth, Mark] Okay, xs:float is good, but the document still says xs:decimal.  Do we all agree we should not use numeric types that don't have a range limit?
"sceneEntryType" - is the schema for this missing an attribute called "mediaType"?  This is described in section 15.3, but I don't see it in the schema.
[RP] Please see the mediaType issue above. Do you think we still need it?

[Duckworth, Mark] No, we don't need it.  draft -07 removed the section from draft-06 that was "15.3 mediaType attribute", so it looks good now.